Home page logo
/

metasploit logo Metasploit mailing list archives

ruby-lorcon build problem
From: asussex at googlemail.com (A Sussex)
Date: Thu, 29 Mar 2007 11:34:44 +0100

In ruby-lorcon's extconf.rb, I'm guessing that have_library()  needs
to be told about "tx80211.h":


#!/usr/bin/env ruby
require 'mkmf'

if have_library("orcon", "tx80211_txpacket", "tx80211.h")
    create_makefile("Lorcon")
else
    puts "Error: the lorcon library was not found, please see the README"
end


This works for me: the Makefile is created and the Ruby extension is
built successfully.

Unfortunately, metaspoit still doesn't transmit any traffic. I will
keep investigating.

- as



  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]